<!-- Popup para agregar catálogo -->
<form (ngSubmit)="onSubmit()" [formGroup]="catalogAddForm">
  <div mat-dialog-content>
    <mat-form-field class="full-content">
      <input matInput placeholder="Título" type="text" formControlName="title" #title required [errorStateMatcher]="matcher">
      <mat-error *ngIf="catalogAddForm.get('title').invalid && catalogAddForm.get('title').errors.required && catalogAddForm.get('title').dirty">
          Ingrese un título
      </mat-error>
      <mat-error *ngIf="catalogAddForm.get('title').invalid && catalogAddForm.get('title').errors.minlength && catalogAddForm.get('title').dirty">
          Título debe tener mínimo 4 caracteres
      </mat-error>
    </mat-form-field>
    <mat-form-field class="full-content">
      <mat-select placeholder="Feria" formControlName="feria" #feria required [errorStateMatcher]="matcher">
        <mat-option *ngFor="let feria of ferias" [value]="feria.value">
          {{feria.viewValue}}
        </mat-option>
      </mat-select>
      <mat-error *ngIf="catalogAddForm.get('feria').invalid && catalogAddForm.get('feria').errors.required && catalogAddForm.get('feria').dirty">
        Seleccione una Feria
      </mat-error>
    </mat-form-field>
  </div>
  <div mat-dialog-actions align="center">
    <button mat-button type="button" (click)="onNoClick()">Cerrar</button>
    <button mat-raised-button color="warn" type="submit" cdkFocusInitial>Guardar</button>
  </div>
</form>
